# Class RawDataOverflow

java.lang.Object
java.lang.Throwable
java.lang.Exception
ecoparasite.input.RawDataOverflow

All Implemented Interfaces:
  `Serializable`

public class RawDataOverflow extends Exception
Est déclenché lors du dépassement d'index lors de la récupération d'une entrée d'un RawData.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RawDataOverflow(int excepted, int limit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RawDataOverflow

    public RawDataOverflow(int excepted, int limit)

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`